# SWGInstanceApi

All URIs are relative to *https://api.browshot.com/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**instanceInfoGet**](SWGInstanceApi.md#instanceinfoget) | **GET** /instance/info | Get information about an instance
[**instanceListGet**](SWGInstanceApi.md#instancelistget) | **GET** /instance/list | Get all instances


# **instanceInfoGet**
```objc
-(NSNumber*) instanceInfoGetWithId: (NSNumber*) _id
        completionHandler: (void (^)(SWGInstance* output, NSError* error)) handler;
```

Get information about an instance

Get information about an instance.

### Example 
```objc
SWGConfiguration *apiConfig = [SWGConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: apiKeyQuery)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"key"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"key"];


NSNumber* _id = @56; // instance ID

SWGInstanceApi*apiInstance = [[SWGInstanceApi alloc] init];

// Get information about an instance
[apiInstance instanceInfoGetWithId:_id
          completionHandler: ^(SWGInstance* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGInstanceApi->instanceInfoGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_id** | **NSNumber***| instance ID | 

### Return type

[**SWGInstance***](SWGInstance.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **instanceListGet**
```objc
-(NSNumber*) instanceListGetWithCompletionHandler: 
        (void (^)(SWGInstanceList* output, NSError* error)) handler;
```

Get all instances

Get all instances.

### Example 
```objc
SWGConfiguration *apiConfig = [SWGConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: apiKeyQuery)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"key"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"key"];



SWGInstanceApi*apiInstance = [[SWGInstanceApi alloc] init];

// Get all instances
[apiInstance instanceListGetWithCompletionHandler: 
          ^(SWGInstanceList* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGInstanceApi->instanceListGet: %@", error);
                        }
                    }];
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**SWGInstanceList***](SWGInstanceList.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

